package org.springblade.common.upyzt.param;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
public class BusinessLicenseParam implements Serializable {
    /**
     * 营业执照扫描件
     */
    private String copy;

    /**
     * 营业执照注册号
     */
    private String number;

    /**
     * 营业执照公司名称
     */
    private String companyName;

    /**
     * 营业执照注册地址
     */
    private String companyAddress;

    /**
     * 营业期限
     */
    private String validTime;
}
