package org.springblade.common.upyzt.resp;

import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.experimental.Accessors;

import java.util.Map;

@Getter
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
public class BalanceAcctStoreResp extends UpyztResp {

    /**
     * 电子账簿 ID
     */
    private String balanceAcctId;

    /**
     * 平台订单号
     */
    private String outRequestNo;

    /**
     * 个人用户号
     */
    private String cusId;

    /**
     * 二级商户号
     */
    private String mchId;

    /**
     * 生成的银行卡号，需要与银行核心交互
     *
     * 可能存在创建时还没有生成电子账簿账簿号的情况，需要通过查询接口查询最终生成的电子账簿账簿号。
     */
    private String relAcctNo;

    /**
     * 自定义数据
     */
    private Map<String, Object> metadata;
}
