package org.springblade.common.upyzt.resp;

import lombok.Getter;

@Getter
public class UpyztError extends UpyztResp {

    /**
     * 详细错误码
     */
    String code;

    /**
     * 错误描述，使用易理解的文字表示错误的原因
     */
    String message;

    /**
     * 指示错误参数的位置。当错误参数位于请求body的JSON时，填写指向参数的 JSON Pointer。
     */
    String field;

    /**
     * 具体错误原因
     */
    String issue;
}
