package org.springblade.modules.app.common.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * 热力图统计（尾部）
 * </p>
 *
 * @author zhangk
 * @since 2021-12-30
 */
@Data
@ApiModel(value = "StatHeatMapFootDTO", description = "热力图统计（尾部）")
public class StatHeatMapFootDTO {

    private static final long serialVersionUID = 1L;

    /**
     * 预备订单数
     */
    @ApiModelProperty(name = "prepQuantity", value = "预备订单数")
    private Integer prepQuantity;

    /**
     * 已交付订单数
     */
    @ApiModelProperty(name = "finishQuantity", value = "已交付订单数")
    private Integer finishQuantity;

    /**
     * 在途中订单数
     */
    @ApiModelProperty(name = "wayQuantity", value = "在途中订单数")
    private Integer wayQuantity;

}
