package org.springblade.modules.app.common.dto;

import com.wn.common.datamodel.BaseDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * 检疫站信息
 * </p>
 *
 * @author fuxinsheng
 * @since 2021-11-05
 */
@Data
@ApiModel(value = "VerifyStationDTO", description = "检疫站信息")
public class VerifyStationDTO extends BaseDTO {

    private static final long serialVersionUID = 1L;

    /**
     * 检疫站名称
     */
    @ApiModelProperty(name = "name", value = "检疫站名称")
    private String name;

    /**
     * 检疫站地址
     */
    @ApiModelProperty(name = "address", value = "检疫站地址")
    private String address;

    private Integer sort;


}
