package org.springblade.modules.app.common.query;

import com.alibaba.fastjson.annotation.JSONField;
import com.alibaba.fastjson.serializer.ToStringSerializer;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.wn.common.datamodel.BaseQuery;
import com.wn.common.datamodel.Long2StringSerializer;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author huyinuo
 */
@Data
@Api(tags = "入浙备案登记信息列表查询条件")
public class EnteringZhejiangFilingListQuery extends BaseQuery {

    /**
     * 养殖场id列表
     */
    @ApiModelProperty(name = "ids", value = "养殖场id列表")
    private List<Long> ids;

}
