package org.springblade.modules.app.common.query;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author huyinuo
 */
@Data
@Api(tags = "图像查询条件")
public class PictureQuery implements Serializable {

    /**
     * 关联id
     */
    @ApiModelProperty(name = "linkId", value = "关联id")
    private Long linkId;

    /**
     * 类型 1-合同 2-血检 3-空车 4-装运 5-A票 6-验收
     */
    @ApiModelProperty(name = "type", value = "类型 1-合同 2-血检 3-空车 4-装运 5-A票 6-验收")
    private Integer type;

}
