package org.springblade.modules.app.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @ClassName: AccountInfoVo
 * @Description: 用户账号信息
 * @author: fxs
 * @createTime: 2021-11-05-15:36
 */
@Data
@ApiModel(value = "AccountInfoVo", description = "用户账号信息")
public class AccountInfoVo {
    /**
     * 手机号
     */
    @ApiModelProperty(name = "phone", value = "手机号")
    private String phone;
    /**
     * 密码(6-12位数字+字母)
     */
    @ApiModelProperty(name = "password", value = "密码(6-12位数字+字母)")
    private String password;
    /**
     * 是否记住密码 0-否 1-是
     */
    @ApiModelProperty(name = "ifRememberLogin", value = "是否记住密码 0-否 1-是")
    private Integer ifRememberLogin;
}
