package org.springblade.modules.app.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @ClassName: OutApiSyncUserResultVO
 * @Description:
 * @author: fxs
 * @createTime: 2021-12-20-15:06
 */
@Data
@ApiModel(value = "OutApiSyncUserResultVO", description = "浙牧通对外接口--用户响应VO")
public class OutApiSyncUserResultVO {

    /**
     * 调运主体类型 1 养殖场 2 屠宰场 3 其 他调运主体
     */
    @ApiModelProperty(name = "type", value = "调运主体类型 1 养殖场 2 屠宰场 3 其 他调运主体")
    private Integer type;

    /**
     * 调运主体 ID
     */
    @ApiModelProperty(name = "companyId", value = "调运主体 ID")
    private Long companyId;

    /**
     * 用户 ID
     */
    @ApiModelProperty(name = "userId", value = "用户 ID")
    private Long userId;

    /**
     * 用户姓名
     */
    @ApiModelProperty(name = "name", value = "用户姓名")
    private String name;

}
