package org.springblade.modules.app.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @ClassName: UpdatePasswordVO
 * @Description: 修改用户密码
 * @author: fxs
 * @createTime: 2021-11-05-15:36
 */
@Data
@ApiModel(value = "UpdatePasswordVO", description = "修改用户密码")
public class UpdatePasswordVO {
    /**
     * 短信验证码
     */
    @ApiModelProperty(name = "smsCode", value = "短信验证码")
    private String smsCode;
    /**
     * 手机号
     */
    @ApiModelProperty(name = "phone", value = "手机号")
    private String phone;
    /**
     * 新的密码
     */
    @ApiModelProperty(name = "password", value = "新的密码(6-12位数字+字母)")
    private String password;
    /**
     * 重复密码
     */
    @ApiModelProperty(name = "confirmPassword", value = "重复密码")
    private String confirmPassword;
}
