package org.springblade.modules.app.dto;

import lombok.Data;

import java.util.List;

/**
 * @类名称：WeatherDTO
 * @类描述：
 * @创建人：zhongy
 * @创建时间：2019-02-15-14:35
 * @修改备注:
 */
@Data
public class WeatherDTO {
        private String date;//日期
        private String text_day;//白天天气现象文字
        private String code_day;//白天天气现象代码
        private String text_night;//晚间天气现象文字
        private String code_night;//晚间天气现象代码
        private String high;//当天最高温度
        private String low;//当天最低温度
        private String wind_direction;//风向文字
        private String wind_direction_degree;//风向角度，范围0~360
        private String wind_speed;//风速，单位km/h
        private String wind_scale;//风力等级


}
