package org.springblade.modules.app.service;

import com.baomidou.mybatisplus.extension.service.IService;
import org.springblade.modules.app.common.dto.MessageLoggingDTO;
import org.springblade.modules.app.entity.MessageLoggingDO;

/**
 * <p>
 * 消息记录表 服务类
 * </p>
 *
 * @author huyinuo
 * @since 2022-01-17
 */
public interface IMessageLoggingService extends IService<MessageLoggingDO> {

    /**
     * 新增消息记录
     *
     * @param messageLoggingDTO
     * @return
     */
    Boolean addMessageLogging(MessageLoggingDTO messageLoggingDTO);
}
