package org.springblade.modules.desk.excel;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;


@Data
@ColumnWidth(25)
@HeadRowHeight(20)
@ContentRowHeight(18)
public class PlatformUserExcel implements Serializable {
        private static final long serialVersionUID = 1L;

        @ColumnWidth(15)
		@ExcelProperty(value = "手机号")
		private String phone;

        @ColumnWidth(15)
		@ExcelProperty(value = "类型")
		private Integer type;

        @ColumnWidth(15)
		@ExcelProperty(value = "状态")
		private Integer state;

        @ColumnWidth(15)
		@ExcelProperty(value = "联系人名称")
		private String businessLinkMan;

        @ColumnWidth(15)
		@ExcelProperty(value = "用户名称")
		private String userName;

        @ColumnWidth(15)
		@ExcelProperty(value = "用户地址")
		private String address;

        @ColumnWidth(15)
		@ExcelProperty(value = "行业类型")
		private String businessIndustryCategrory;

		@ColumnWidth(15)
		@ExcelProperty(value = "注册时间")
		private String createdTime;


}
