package org.springblade.common.notify.rocketmq.consumer;

import lombok.Data;

import java.io.Serializable;

/**
 * @author Cai Yihua
 **/
@Data
public class MqMessage implements Serializable {
    /**
     * 消费者ID
     */
    private String consumerId;
    /**
     * 消息所属主题
     */
    private String topic;
    /**
     * 消息所属tag
     */
    private String tag;
    /**
     * 消息唯一标识
     */
    private String messageId;
    /**
     * 消息体内容
     */
    private String messageBody;
    /**
     * 原消息内容JSON串
     */
    private String originMessage;
}
