package org.springblade.common.upyzt.param;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
public class IdCardParam implements Serializable {

    /**
     * 证件类型
     */
    private String type;

    /**
     * 身份证人像面照片/证件照片
     */
    private String copy;

    /**
     * 身份证国徽面照片
     */
    private String national;

    /**
     * 身份证号码
     */
    private String number;

    /**
     * 证件姓名（支持中英文名）
     */
    private String name;

    /**
     * 证件有效期
     */
    private String validTime;

}
