package org.springblade.common.upyzt.param;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Map;

@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
public class SettleAcctParam implements Serializable {

    /**
     * 绑定账户类型
     */
    private String type;

    /**
     * 开户银行编码
     */
    private String bankCode;

    /**
     * 开户名称
     */
    private String name;

    /**
     * 开户银行省市编码
     */
    private String bankAddressCode;

    /**
     * 开户银行联行号
     */
    private String bankBranchCode;

    /**
     * 开户银行卡号
     */
    private String bankAcctNo;

    /**
     * 自定义数据
     */
    private Map<String, Object> metadata;

}
