package org.springblade.common.upyzt.param;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
public class TaxRegistrationParam implements Serializable {
    /**
     * 税务登记证照片
     */
    private String copy;

    /**
     * 税务登记号
     */
    private String number;
}
