package org.springblade.modules.app.common.dto;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.wn.common.datamodel.Long2StringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * 热力图统计（中部）
 * </p>
 *
 * @author zhangk
 * @since 2021-12-30
 */
@Data
@ApiModel(value = "StatHeatMapMidDTO", description = "热力图统计（中部）")
public class StatHeatMapMidDTO {

    private static final long serialVersionUID = 1L;


    /**
     * 省份id
     */
    @JsonSerialize(using = Long2StringSerializer.class)
    @ApiModelProperty(name = "provId", value = "省份id")
    private Long provId;

    /**
     * 省份名称
     */
    @ApiModelProperty(name = "provName", value = "省份名称")
    private String provName;

    /**
     * 调入量
     */
    @ApiModelProperty(name = "quantity", value = "调入量")
    private Integer quantity;

}
