package org.springblade.modules.app.common.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * <p>
 * 解除绑定信息
 * </p>
 *
 * @author zhangk
 * @since 2022-01-14
 */

@Data
@ApiModel(value = "UnbindRelationDTO", description = "解除绑定信息")
public class UnbindRelationDTO implements Serializable {


    /**
     * 绑定关系id
     */
    @ApiModelProperty(name = "relationId", value = "绑定关系id")
    private Long relationId;

    /**
     * 解绑原因
     */
    @ApiModelProperty(name = "reason", value = "解绑原因")
    private String reason;
}
