package org.springblade.modules.app.common.query;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @ClassName: UserQuery
 * @Description:
 * @author: fxs
 * @createTime: 2021-11-08-13:59
 */

@Data
@Api(tags = "绑定关系条件")
public class RelationQuery implements Serializable {


    /**
     * 状态 0-待确认 1-已绑定 9-已拒绝
     */
    @ApiModelProperty(name = "state", value = "状态 0-待确认 1-已绑定 9-已拒绝")
    private Integer state;

    /**
     * 代宰户id
     */
    @ApiModelProperty(name = "slaughterHouseId", value = "代宰户id")
    private Long slaughterHouseId;

    /**
     * 屠宰场id
     */
    @ApiModelProperty(name = "buyerUserId", value = "屠宰场id")
    private Long buyerUserId;

}
