package org.springblade.modules.app.common.query;

import com.wn.common.datamodel.BaseQuery;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.extern.slf4j.Slf4j;

@Data
@Api(tags = "代宰户查询条件")
@Slf4j
public class SlaughterHouseQuery extends BaseQuery {

    private static final long serialVersionUID = 3315064777503424033L;

    /**
     * userId
     */
    @ApiModelProperty(value = "userId")
    private Long userId;

    private String token;

}
