package org.springblade.modules.app.common.query;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @ClassName: UserQuery
 * @Description:
 * @author: fxs
 * @createTime: 2021-11-08-13:59
 */

@Data
@Api(tags = "运输单阶段查询条件")
public class TransportStageQuery implements Serializable {
    /**
     * 运输单id
     */
    @ApiModelProperty(name = "transportId", value = "运输单id")
    private Long transportId;

    /**
     * 阶段 1-装运 2-过检 3-验收
     */
    @ApiModelProperty(name = "stage", value = "阶段 1-装运 2-过检 3-验收")
    private Integer stage;
}
