package org.springblade.modules.app.common.query;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.extern.slf4j.Slf4j;

import java.io.Serializable;

@Data
@Api(tags = "调运单客户端查询条件")
@Slf4j
public class WaybillClientQuery implements Serializable {

    private static final long serialVersionUID = 3315064777503424033L;

    /**
     * 状态 ：1-进行中 2-已完成 3-已驳回 4-全部
     */
    @ApiModelProperty(name = "state",value = "状态 ：1-进行中 2-已完成 3-已驳回 4-全部")
    private Integer state;

    private String token;
}
