package org.springblade.modules.app.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @ClassName: VerifyPrctureVO
 * @Description: A票图片信息
 * @author: fxs
 * @createTime: 2021-11-05-15:36
 */
@Data
@ApiModel(value = "AcceptPrctureInfoVO", description = "验收单信息信息")
public class AcceptPrctureInfoVO {
    /**
     * 实收数量
     */
    @ApiModelProperty(name = "num", value = "实收数量")
    private Integer num;

    /**
     * 实收重量
     */
    @ApiModelProperty(name = "weight", value = "实收重量")
    private Integer weight;
}