package org.springblade.modules.app.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @ClassName: OutApiSyncCheckPointResultVO
 * @Description:
 * @author: fxs
 * @createTime: 2021-12-20-15:06
 */
@Data
@ApiModel(value = "OutApiSyncCheckPointResultVO", description = "浙牧通对外接口--检疫站响应VO")
public class OutApiSyncCheckPointResultVO {

    /**
     * 检查站 id
     */
    @ApiModelProperty(name = "checkpointId", value = "检查站 id")
    private Long checkpointId;

    /**
     * 检查站名称
     */
    @ApiModelProperty(name = "检查站名称", value = "检查站名称")
    private String checkpointName;

    private String address;

}
