package org.springblade.modules.app.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @ClassName: OutApiSyncSupplierParamVO
 * @Description:
 * @author: fxs
 * @createTime: 2021-12-20-15:06
 */
@Data
@ApiModel(value = "OutApiSyncSupplierParamVO", description = "浙牧通对外接口--供应商参数VO")
public class OutApiSyncSupplierParamVO {

    /**
     * 东部区接收企业名字
     */
    @ApiModelProperty(name = "orgName", value = "东部区接收企业名字")
    private String orgName;

    /**
     * 屠宰场 ID
     */
    @ApiModelProperty(name = "orgId", value = "屠宰场 ID")
    private Long orgId;

}
