package org.springblade.modules.app.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @ClassName: OutApiSyncUserParamVO
 * @Description:
 * @author: fxs
 * @createTime: 2021-12-20-15:06
 */
@Data
@ApiModel(value = "OutApiSyncUserParamVO", description = "浙牧通对外接口--用户参数VO")
public class OutApiSyncUserParamVO {

    /**
     * 用户名
     */
    @ApiModelProperty(name = "user_name", value = "用户名")
    private String user_name;

    /**
     * 统一社会信用代码（营业执照号）
     */
    @ApiModelProperty(name = "business_license", value = "统一社会信用代码（营业执照号）")
    private String business_license;

}
