package org.springblade.modules.app.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @ClassName: ZmtApprovalRecordVO
 * @Description: 浙牧通审批记录
 * @author: fxs
 * @createTime: 2021-11-05-15:36
 */
@Data
@ApiModel(value = "ZmtApprovalRecordVO", description = "浙牧通审批记录")
public class ZmtApprovalRecordVO {
    /**
     * 审批结果 0-否 1-是
     */
    @ApiModelProperty(name = "result", value = "审批结果 0-否 1-是")
    private Integer result;
    /**
     * 审批意见
     */
    @ApiModelProperty(name = "message", value = "审批意见")
    private String message;
    /**
     * 审批时间
     */
    @ApiModelProperty(name = "applyTime", value = "审批时间")
    private Date applyTime;
}
