package org.springblade.modules.app.constant;

public interface Constants {

    String DEMO = "demo";
    String HEADER = "【畜牧通】";
    String ZMT_CUCCESS_CODE = "0000";
    String PASSWORD = "PASSWORD";
    String PHONE = "PHONE";
    String NAME = "name";
    String MESSAGE = "message";
    String LOGIN_FAIL_PWD_PAUSE_COUNT = "login:fail:pwd:pause:count";
    String SUPPLIER_NAME_REGEX_1 = "[\\(（【][^\\(（【]*[\\)）】]";
    String SUPPLIER_NAME_REGEX_2 = "^[1-9]*\\.";
    String ADDRESS_REG="(?<province>[^省]+自治区|.*?省|.*?行政区|.*?市)(?<city>[^市]+自治州|.*?地区|.*?行政单位|.+盟|市辖区|.*?市|.*?县)(?<county>[^县]+县|.+区|.+市|.+旗|.+海域|.+岛)?(?<town>[^区]+区|.+镇)?(?<village>.*)";

    String PWD_LOGIN_PAUSE = "pwd:login:pause";
    String PROVINCE = "province";
    String CITY = "city";
    String COUNTY = "county";
    String TOWN = "town";
    String VILLAGE = "village";

    Integer LOGIN_PAUSE_TIME = 60 * 60;

    String RepCodesSuccessCode = "0000";
    String REGEX_PASSWORD = "^[0-9A-Za-z]{6,12}$";
    //短信登录次数
    String XYB_SMS_COUNT = "xyb:auth:sms:count";
    //短信验证码时长
    Integer MAX_XYB_USER_SMS_COUNT = 40;
    Integer ZERO = 0;
    Integer ONE = 1;

    /**
     * 会员登录成功后最大Session时间，5天分钟
     */
    int MAX_INACTIVE_SECONDS_BACKEND_ONLY = 5 * 24 * 60 * 60;
    String SIGN = "sign";
    int SHOP_TIMESTAMP_TIME = 180000;
    String TB_USER = "tb_user";
    String TB_TRANSPORT_STAGE_INFO = "tb_transport_stage_info";
    String TB_TRANSPORT = "tb_transport";
    String TB_WAYBILL = "tb_waybill";

}
