package org.springblade.modules.app.entity;

import com.wn.common.datamodel.LogicDeleteBaseDO;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.Version;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * app用户标识表
 * </p>
 *
 * @author huyinuo
 * @since 2022-01-17
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("tb_app_user_id")
public class AppUserIdDO extends LogicDeleteBaseDO {

    private static final long serialVersionUID = 1L;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 客户端标识号id
     */
    private String clientId;


}
