package org.springblade.modules.app.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.wn.common.datamodel.LogicDeleteBaseDO;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * <p>
 * 日报表信息
 * </p>
 *
 * @author zhangK
 * @since 2021-11-09
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("tb_daily_report")
public class DailyReportDO extends LogicDeleteBaseDO {

    private static final long serialVersionUID = 1L;

    /**
     * 省份id
     */
    private Long prov;

    /**
     * 统计日期
     */
    @TableField("report_date")
    private Date reportDate;

    /**
     * 数量
     */
    @TableField("total_count")
    private Integer totalCount;

    /**
     * 备注
     */
    private String remark;


}
