package org.springblade.modules.app.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.wn.common.datamodel.LogicDeleteBaseDO;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 检疫站信息
 * </p>
 *
 * @author fuxinsheng
 * @since 2021-11-08
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("tb_verify_station")
public class VerifyStationDO extends LogicDeleteBaseDO {

    private static final long serialVersionUID = 1L;

    /**
     * 检疫站所在道路
     */
    private String road;

    /**
     * 检疫站名称
     */
    private String name;

    /**
     * 检疫站地址
     */
    private String address;

    /**
     * 检疫站电话
     */
    private String phone;


}
